#### PyKDE - Python Bindings for KDE

# class KSambaShare

Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KSambaShare
Inherits | QObject

### methods

- KSambaShare ()

  returns a KSambaShare instance
  In versions KDE 3.3.0 and above only

- changed ()

  returns nothing
  In versions KDE 3.3.0 and above only

- instance ()

  returns (KSambaShare)
  In versions KDE 3.3.0 and above only
  static

- isDirectoryShared (path)

  returns (bool)
  In versions KDE 3.3.0 and above only

  Argument | Type | Default
  --- | --- | ---
  path | QString |

- sharedDirectories ()

  returns (QStringList)
  In versions KDE 3.3.0 and above only

- smbConfPath ()

  returns (QString)
  In versions KDE 3.3.0 and above only